Bug 8440 - Dates does not appear in suggestions management
Summary: Dates does not appear in suggestions management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-13 13:14 UTC by Fridolin SOMERS
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.71 KB, patch)
2012-07-13 14:42 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8440: Dates does not appear in suggestions management (1.79 KB, patch)
2012-07-17 15:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Proposed patch (follow-up) (2.40 KB, patch)
2012-07-25 07:44 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Proposed patch (follow-up) (2.46 KB, patch)
2012-07-25 10:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-07-13 13:14:18 UTC
In acquisition, suggestions management, dates does not appear in Suggested by/on nor Managed by/on.
Comment 1 Fridolin SOMERS 2012-07-13 14:42:52 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-07-17 15:47:09 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-07-20 08:34:39 UTC
QA comments:

Works as exepted.
Remove duplicate code

Marking as Passed QA.

It would be great to use KohaDates instead of format_date in suggestion.pl
Comment 4 Paul Poulain 2012-07-24 15:07:10 UTC
(In reply to comment #3)
> It would be great to use KohaDates instead of format_date in suggestion.pl

Agreed (and agreed it's out of the scope of this patch

A minor inconsistency that is due to this patch but a follow-up is welcomed:

Suggested by/on says :  BERNARDI, Nicole / 24/05/2011 
Managed by/on says:  BLOT, Sylvie , 10/06/2011 

("/" as separator for one "," for the other)
Comment 5 Chris Cormack 2012-07-25 03:31:21 UTC
Pushed to 3.8.x, will be in 3.8.4
Comment 6 Fridolin SOMERS 2012-07-25 07:44:14 UTC Comment hidden (obsolete)
Comment 7 Fridolin SOMERS 2012-07-25 07:45:39 UTC
comment #6 ...
I choosed to separate patron and date by a "-" since patron uses already the "," and date the "/" (save ISO format).
Comment 8 Jonathan Druart 2012-07-25 10:05:50 UTC
Comment on attachment 10906 [details] [review]
[SIGNED-OFF] Bug 8440: Dates does not appear in suggestions management

already pushed
Comment 9 Jonathan Druart 2012-07-25 10:06:33 UTC
Created attachment 11122 [details] [review]
[SIGNED-OFF] Proposed patch (follow-up)

Simple patch
Comment 10 Jonathan Druart 2012-08-09 12:03:39 UTC
QA Comments:
Make strings consistent.
Marked as Passed QA
Comment 11 Chris Cormack 2012-08-09 19:53:51 UTC
Pushed follow up to 3.8.x, will be in 3.8.4
Comment 12 Paul Poulain 2012-09-03 15:52:47 UTC
Follow-up pushed to master. Already on stable, setting status accordingly